#ifndef COMMANDS_TO_UPDATE_DC_H_INCLUDED
#define COMMANDS_TO_UPDATE_DC_H_INCLUDED

#include "serial.h"

class hwinf;
class Command {
    hwinf const *m_hw;
    Serial m_serial;
public:
    Command(hwinf const *hw);
    ~Command();

    bool startCmdSequence();

    bool resetDeviceController();
    bool enterBootloader();
    bool isBootloaderRunning();
    bool loadBinary();
    bool sendBinary();
    bool exitBootloader();
};

#endif // COMMANDS_TO_UPDATE_DC_H_INCLUDED
